> ## Documentation Index
> Fetch the complete documentation index at: https://getbuildify.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get A Listing

> 👨🏻‍💻 Retrieve detailed information of a specific listing.



## OpenAPI

````yaml get /{apiVersion}/{apiProvince}/listing
openapi: 3.0.0
info:
  title: Buildify API
  version: '1.0'
servers:
  - url: https://api.getbuildify.com
security:
  - sec0: []
paths:
  /{apiVersion}/{apiProvince}/listing:
    get:
      summary: Get A Listing
      description: 👨🏻‍💻 Retrieve detailed information of a specific listing.
      operationId: get-a-listing
      parameters:
        - name: id
          in: query
          description: The specific id/objectId of the listing.
          required: true
          schema:
            type: string
        - name: retrieveAttributes
          in: query
          description: >-
            Attributes to retrieve. For example: name, summary, builders, etc.
            It should be comma separated. **[See more
            info](https://buildify.readme.io/reference/retrievable-attributes)**.
          schema:
            type: string
        - name: referrences
          in: query
          description: >-
            Fields to attach referrences. For example: builders, marketers, etc.
            It should be comma separated. **[See more
            info](https://buildify.readme.io/reference/referrencing)**.
          schema:
            type: string
        - name: apiVersion
          in: path
          schema:
            type: string
            enum:
              - v1-sandbox
              - v1-lite
              - v1
          required: true
        - name: apiProvince
          in: path
          schema:
            type: string
            enum:
              - all
              - 'on'
              - bc
              - ab
              - mb
              - nb
              - nl
              - ns
              - pe
              - qc
              - sk
            default: 'on'
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "builders": [
                        {
                          "summary": "Over the decades the building landscape has gone through incredible changes in which Greenpark has not only sustained, but often times shaped and led. Through all this growth the Greenpark legacy has continued to thrive securely resting upon the foundations which were built over 55 years ago.",
                          "address": "8700 Dufferin Street\nVaughan, ON L4K 4S6",
                          "listings": [
                            "Listings/7I8F7Y",
                            "Listings/GFCFQD",
                            "Listings/RV8YIQ",
                            "Listings/41A42E",
                            "Listings/KWMHW0",
                            "Listings/JLON36",
                            "Listings/3ICZ3G",
                            "Listings/QTSL9E",
                            "Listings/4KQTX3",
                            "Listings/0GYBON",
                            "Listings/QGA7ZQ",
                            "Listings/Q1UD4Y"
                          ],
                          "website": "greenparkgroup.ca",
                          "name": "Greenpark Group",
                          "logo": "https://storage.googleapis.com/precon-app.appspot.com/bfd06b4f-d537-47c9-9799-ab814d065725.png",
                          "id": "3tLqusTBLjz2p52xbuU3",
                          "path": "Builders/3tLqusTBLjz2p52xbuU3",
                          "collection": "Builders"
                        }
                      ],
                      "name": "Sample Listing - TEST Example",
                      "summary": "This is the random summay",
                      "id": "Q1UD4Y"
                    }
              schema:
                type: object
                properties:
                  builders:
                    type: array
                    items:
                      type: object
                      properties:
                        summary:
                          type: string
                          example: >-
                            Over the decades the building landscape has gone
                            through incredible changes in which Greenpark has
                            not only sustained, but often times shaped and led.
                            Through all this growth the Greenpark legacy has
                            continued to thrive securely resting upon the
                            foundations which were built over 55 years ago.
                        address:
                          type: string
                          example: |-
                            8700 Dufferin Street
                            Vaughan, ON L4K 4S6
                        listings:
                          type: array
                          items:
                            type: string
                            example: Listings/7I8F7Y
                        website:
                          type: string
                          example: greenparkgroup.ca
                        name:
                          type: string
                          example: Greenpark Group
                        logo:
                          type: string
                          example: >-
                            https://storage.googleapis.com/precon-app.appspot.com/bfd06b4f-d537-47c9-9799-ab814d065725.png
                        id:
                          type: string
                          example: 3tLqusTBLjz2p52xbuU3
                        path:
                          type: string
                          example: Builders/3tLqusTBLjz2p52xbuU3
                        collection:
                          type: string
                          example: Builders
                  name:
                    type: string
                    example: Sample Listing - TEST Example
                  summary:
                    type: string
                    example: This is the random summay
                  id:
                    type: string
                    example: Q1UD4Y
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "requestId": "1675936783783265868-YXdzLWFwLXNvdXRoLTE=-2bcb5be7be8b42e281e557c24560c568ed2538504dc64939aec7dfad9858b1cc",
                        "message": "Forbidden"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675936783783265868-YXdzLWFwLXNvdXRoLTE=-2bcb5be7be8b42e281e557c24560c568ed2538504dc64939aec7dfad9858b1cc
                  message:
                    type: string
                    example: Forbidden
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "requestId": "1675927846210615670-YXdzLXVzLWVhc3QtMQ==-7ea567d52c814134b370c178b2fae477bcae1ff01df14cc49e7481a79b7561a4",
                      "message": "No data product found. Please contact your data provider"
                    }
              schema:
                type: object
                properties:
                  requestId:
                    type: string
                    example: >-
                      1675927846210615670-YXdzLXVzLWVhc3QtMQ==-7ea567d52c814134b370c178b2fae477bcae1ff01df14cc49e7481a79b7561a4
                  message:
                    type: string
                    example: No data product found. Please contact your data provider
        '500':
          description: '500'
          content:
            application/json:
              examples:
                Internal Server Error - Specific ID Invalid:
                  value: |-
                    {
                      "message": "Error: 500"
                    }
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Error: 500'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````